<?php

namespace Modules\Option\Interfaces;

use Modules\Option\Models\Option;

interface OptionRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Option;
    public function update(array $request, Option $option): Option;
    public function destroy(Option $option): void;
    public function destroyAll(array $ids): void;
    public function restore(Option $option): void;
    public function restoreAll(array $ids): void;
}
